import { j as R, c as me } from "../clsx-DsQc8enX.js";
import * as q from "react";
import _, { useRef as C, useState as j, useEffect as E, useCallback as U, useImperativeHandle as ve, useMemo as le } from "react";
import { $ as De } from "../Button-CXfbBbgl.js";
import { $ as be, a as $e } from "../ListBox-BxBBy7UI.js";
import { c as N, d as Z, e as B, f as ae, g as G, h as Q, i as xe, j as ee, $ as he, k as Ke, l as A, m as T, b as we, n as L, o as se, p as Pe, q as ke, r as Ie, s as J, t as Oe, u as Se, v as Ce, w as de, x as Ae, y as Te, z as Me, A as Re } from "../useDrop-BX0Pcf-E.js";
import { $ as Ee } from "../getScrollParent-mRV3mdwj.js";
import { $ as Fe } from "../isScrollable-BsTGzxij.js";
import { b as Be, p as Le, q as He, r as Ue, i as je, c as X } from "../useHover-r8IM8mvD.js";
import { n as ce, a as fe, $ as ze } from "../utils-DPfg4HqB.js";
import { $ as Xe } from "../context-DRz_xlLl.js";
import { $ as W } from "../useLocalizedStringFormatter-BXegnzqm.js";
import { $ as pe } from "../useDescription-DBX9pMU8.js";
import { flushSync as Ye } from "react-dom";
import { c as te } from "../index-h1rMlRhQ.js";
function qe(n) {
  return n && n.__esModule ? n.default : n;
}
const re = {
  keyboard: {
    start: "dragDescriptionKeyboard",
    end: "endDragKeyboard"
  },
  touch: {
    start: "dragDescriptionTouch",
    end: "endDragTouch"
  },
  virtual: {
    start: "dragDescriptionVirtual",
    end: "endDragVirtual"
  }
};
function Ne(n) {
  let { hasDragButton: t, isDisabled: p } = n, e = W(qe(Q), "@react-aria/dnd"), r = C({
    options: n,
    x: 0,
    y: 0
  }).current;
  r.options = n;
  let l = C(!1), [i, f] = j(!1), g = (o) => {
    l.current = o, f(o);
  }, { addGlobalListener: b, removeAllGlobalListeners: D } = Be(), h = C(null), y = (o) => {
    var v;
    if (o.defaultPrevented) return;
    if (o.stopPropagation(), h.current === "virtual") {
      o.preventDefault(), u(o.target), h.current = null;
      return;
    }
    typeof n.onDragStart == "function" && n.onDragStart({
      type: "dragstart",
      x: o.clientX,
      y: o.clientY
    });
    let w = n.getItems();
    he(o.dataTransfer, w);
    let P = B.all;
    if (typeof n.getAllowedDropOperations == "function") {
      let k = n.getAllowedDropOperations();
      P = B.none;
      for (let I of k) P |= B[I] || B.none;
    }
    Z(P), o.dataTransfer.effectAllowed = Ke[P] || "none", typeof ((v = n.preview) === null || v === void 0 ? void 0 : v.current) == "function" && n.preview.current(w, (k) => {
      if (!k) return;
      let I = k.getBoundingClientRect(), x = o.currentTarget.getBoundingClientRect(), O = o.clientX - x.x, S = o.clientY - x.y;
      (O > I.width || S > I.height) && (O = I.width / 2, S = I.height / 2);
      let F = 2 * Math.round(I.height / 2);
      k.style.height = `${F}px`, o.dataTransfer.setDragImage(k, O, S);
    }), b(window, "drop", (k) => {
      k.preventDefault(), k.stopPropagation(), console.warn("Drags initiated from the React Aria useDrag hook may only be dropped on a target created with useDrop. This ensures that a keyboard and screen reader accessible alternative is available.");
    }, {
      once: !0
    }), r.x = o.clientX, r.y = o.clientY, requestAnimationFrame(() => {
      g(!0);
    });
  }, $ = (o) => {
    o.stopPropagation(), !(o.clientX === r.x && o.clientY === r.y) && (typeof n.onDragMove == "function" && n.onDragMove({
      type: "dragmove",
      x: o.clientX,
      y: o.clientY
    }), r.x = o.clientX, r.y = o.clientY);
  }, m = (o) => {
    if (o.stopPropagation(), typeof n.onDragEnd == "function") {
      let v = {
        type: "dragend",
        x: o.clientX,
        y: o.clientY,
        dropOperation: N[o.dataTransfer.dropEffect]
      };
      G && (v.dropOperation = N[G]), n.onDragEnd(v);
    }
    g(!1), D(), Z(B.none), ee(void 0);
  };
  ce(() => () => {
    if (l.current) {
      if (typeof r.options.onDragEnd == "function") {
        let o = {
          type: "dragend",
          x: 0,
          y: 0,
          dropOperation: N[G || "none"]
        };
        r.options.onDragEnd(o);
      }
      g(!1), Z(B.none), ee(void 0);
    }
  }, [
    r
  ]);
  let a = (o) => {
    o.pointerType !== "keyboard" && o.pointerType !== "virtual" || u(o.target);
  }, u = (o) => {
    if (typeof r.options.onDragStart == "function") {
      let v = o.getBoundingClientRect();
      r.options.onDragStart({
        type: "dragstart",
        x: v.x + v.width / 2,
        y: v.y + v.height / 2
      });
    }
    xe({
      element: o,
      items: r.options.getItems(),
      allowedDropOperations: typeof r.options.getAllowedDropOperations == "function" ? r.options.getAllowedDropOperations() : [
        "move",
        "copy",
        "link"
      ],
      onDragEnd(v) {
        g(!1), typeof r.options.onDragEnd == "function" && r.options.onDragEnd(v);
      }
    }, e), g(!0);
  }, d = ae(), s = i ? re[d].end : re[d].start, c = pe(e.format(s)), K = {};
  return t || (K = {
    ...c,
    onPointerDown(o) {
      if (h.current = He(o.nativeEvent) ? "virtual" : o.pointerType, o.width < 1 && o.height < 1)
        h.current = "virtual";
      else {
        let v = o.currentTarget.getBoundingClientRect(), w = o.clientX - v.x, P = o.clientY - v.y, k = v.width / 2, I = v.height / 2;
        Math.abs(w - k) <= 0.5 && Math.abs(P - I) <= 0.5 ? h.current = "virtual" : h.current = o.pointerType;
      }
    },
    onKeyDownCapture(o) {
      o.target === o.currentTarget && o.key === "Enter" && (o.preventDefault(), o.stopPropagation());
    },
    onKeyUpCapture(o) {
      o.target === o.currentTarget && o.key === "Enter" && (o.preventDefault(), o.stopPropagation(), u(o.target));
    },
    onClick(o) {
      (Le(o.nativeEvent) || h.current === "virtual") && (o.preventDefault(), o.stopPropagation(), u(o.target));
    }
  }), p ? {
    dragProps: {
      draggable: "false"
    },
    dragButtonProps: {},
    isDragging: !1
  } : {
    dragProps: {
      ...K,
      draggable: "true",
      onDragStart: y,
      onDrag: $,
      onDragEnd: m
    },
    dragButtonProps: {
      ...c,
      onPress: a
    },
    isDragging: i
  };
}
const Y = 20;
function Ze(n) {
  let t = C(null), p = C(!0), e = C(!0);
  E(() => {
    if (n.current) {
      t.current = Fe(n.current) ? n.current : Ee(n.current);
      let i = window.getComputedStyle(t.current);
      p.current = /(auto|scroll)/.test(i.overflowX), e.current = /(auto|scroll)/.test(i.overflowY);
    }
  }, [
    n
  ]);
  let r = C({
    timer: void 0,
    dx: 0,
    dy: 0
  }).current;
  E(() => () => {
    r.timer && (cancelAnimationFrame(r.timer), r.timer = void 0);
  }, [
    r
  ]);
  let l = U(() => {
    p.current && t.current && (t.current.scrollLeft += r.dx), e.current && t.current && (t.current.scrollTop += r.dy), r.timer && (r.timer = requestAnimationFrame(l));
  }, [
    t,
    r
  ]);
  return {
    move(i, f) {
      if (!Ue() || je() || !t.current) return;
      let g = t.current.getBoundingClientRect(), b = Y, D = Y, h = g.height - Y, y = g.width - Y;
      i < b || i > y || f < D || f > h ? (i < b ? r.dx = i - b : i > y && (r.dx = i - y), f < D ? r.dy = f - D : f > h && (r.dy = f - h), r.timer || (r.timer = requestAnimationFrame(l))) : this.stop();
    },
    stop() {
      r.timer && (cancelAnimationFrame(r.timer), r.timer = void 0);
    }
  };
}
const oe = [
  "before",
  "on",
  "after"
], ne = [
  "after",
  "on",
  "before"
];
function Ge(n, t, p) {
  let e = C({
    props: n,
    state: t,
    nextTarget: null,
    dropOperation: null
  }).current;
  e.props = n, e.state = t;
  let r = U(async (y) => {
    let { onInsert: $, onRootDrop: m, onItemDrop: a, onReorder: u, acceptedDragTypes: d = "all", shouldAcceptItemDrop: s } = e.props, { draggingKeys: c } = A, K = T(p), { target: o, dropOperation: v, items: w } = y, P = w;
    (d !== "all" || s) && (P = w.filter((k) => {
      let I;
      return k.kind === "directory" ? I = /* @__PURE__ */ new Set([
        Ie
      ]) : I = k.kind === "file" ? /* @__PURE__ */ new Set([
        k.type
      ]) : k.types, d === "all" || d.some((x) => I.has(x)) ? o.type === "item" && o.dropPosition === "on" && s ? s(o, I) : !0 : !1;
    })), P.length > 0 && (o.type === "root" && m && await m({
      items: P,
      dropOperation: v
    }), o.type === "item" && (o.dropPosition === "on" && a && await a({
      items: P,
      dropOperation: v,
      isInternal: K,
      target: o
    }), o.dropPosition !== "on" && (!K && $ && await $({
      items: P,
      dropOperation: v,
      target: o
    }), K && u && await u({
      keys: c,
      dropOperation: v,
      target: o
    }))));
  }, [
    e,
    p
  ]), l = Ze(p), { dropProps: i } = we({
    ref: p,
    onDropEnter() {
      e.nextTarget != null && t.setTarget(e.nextTarget);
    },
    onDropMove(y) {
      e.nextTarget != null && t.setTarget(e.nextTarget), l.move(y.x, y.y);
    },
    getDropOperationForPoint(y, $, m, a) {
      let { draggingKeys: u, dropCollectionRef: d } = A, s = T(p), c = (o) => t.getDropOperation({
        target: o,
        types: y,
        allowedOperations: $,
        isInternal: s,
        draggingKeys: u
      }) !== "cancel", K = n.dropTargetDelegate.getDropTargetFromPoint(m, a, c);
      if (!K)
        return e.dropOperation = "cancel", e.nextTarget = null, "cancel";
      if (e.dropOperation = t.getDropOperation({
        target: K,
        types: y,
        allowedOperations: $,
        isInternal: s,
        draggingKeys: u
      }), e.dropOperation === "cancel") {
        let o = {
          type: "root"
        }, v = t.getDropOperation({
          target: o,
          types: y,
          allowedOperations: $,
          isInternal: s,
          draggingKeys: u
        });
        v !== "cancel" && (K = o, e.dropOperation = v);
      }
      return K && e.dropOperation !== "cancel" && (p == null ? void 0 : p.current) !== (d == null ? void 0 : d.current) && L(p), e.nextTarget = e.dropOperation === "cancel" ? null : K, e.dropOperation;
    },
    onDropExit() {
      L(void 0), t.setTarget(null), l.stop();
    },
    onDropActivate(y) {
      var $, m;
      (($ = t.target) === null || $ === void 0 ? void 0 : $.type) === "item" && ((m = t.target) === null || m === void 0 ? void 0 : m.dropPosition) === "on" && typeof n.onDropActivate == "function" && n.onDropActivate({
        type: "dropactivate",
        x: y.x,
        y: y.y,
        target: t.target
      });
    },
    onDrop(y) {
      L(p), t.target && b(y, t.target);
      let { draggingCollectionRef: $ } = A;
      $ == null && se();
    }
  }), f = C(null), g = U(() => {
    let { state: y } = e;
    if (f.current) {
      var $;
      let { target: u, collection: d, selectedKeys: s, focusedKey: c, isInternal: K, draggingKeys: o } = f.current;
      if (y.collection.size > d.size && y.selectionManager.isSelectionEqual(s)) {
        let v = /* @__PURE__ */ new Set();
        for (let w of y.collection.getKeys()) d.getItem(w) || v.add(w);
        if (y.selectionManager.setSelectedKeys(v), y.selectionManager.focusedKey === c) {
          let w = v.keys().next().value, P = y.collection.getItem(w);
          (P == null ? void 0 : P.type) === "cell" && (w = P.parentKey), y.selectionManager.setFocusedKey(w), y.selectionManager.selectionMode === "none" && X("keyboard");
        }
      } else if (c != null && y.selectionManager.focusedKey === c && K && u.type === "item" && u.dropPosition !== "on" && o.has(($ = y.collection.getItem(c)) === null || $ === void 0 ? void 0 : $.parentKey)) {
        var m, a;
        y.selectionManager.setFocusedKey((a = (m = y.collection.getItem(c)) === null || m === void 0 ? void 0 : m.parentKey) !== null && a !== void 0 ? a : null), X("keyboard");
      } else y.selectionManager.focusedKey === c && u.type === "item" && u.dropPosition === "on" && y.collection.getItem(u.key) != null ? (y.selectionManager.setFocusedKey(u.key), X("keyboard")) : y.selectionManager.focusedKey != null && !y.selectionManager.isSelected(y.selectionManager.focusedKey) && X("keyboard");
      y.selectionManager.setFocused(!0);
    }
  }, [
    e
  ]), b = U((y, $) => {
    let { state: m } = e;
    f.current = {
      timeout: void 0,
      focusedKey: m.selectionManager.focusedKey,
      collection: m.collection,
      selectedKeys: m.selectionManager.selectedKeys,
      draggingKeys: A.draggingKeys,
      isInternal: T(p),
      target: $
    }, (e.props.onDrop || r)({
      type: "drop",
      x: y.x,
      y: y.y,
      target: $,
      items: y.items,
      dropOperation: y.dropOperation
    }), f.current.timeout = setTimeout(() => {
      g(), f.current = null;
    }, 50);
  }, [
    e,
    r,
    p,
    g
  ]);
  E(() => () => {
    f.current && clearTimeout(f.current.timeout);
  }, []), ce(() => {
    f.current && t.collection !== f.current.collection && g();
  });
  let { direction: D } = Xe();
  E(() => {
    if (!p.current) return;
    let y = (a, u = !0, d = !1) => {
      var s, c, K, o;
      if (!a) return {
        type: "root"
      };
      let { keyboardDelegate: v } = e.props, w;
      (a == null ? void 0 : a.type) === "item" ? w = d ? (s = v.getKeyRightOf) === null || s === void 0 ? void 0 : s.call(v, a.key) : (c = v.getKeyBelow) === null || c === void 0 ? void 0 : c.call(v, a.key) : w = d && D === "rtl" ? (K = v.getLastKey) === null || K === void 0 ? void 0 : K.call(v) : (o = v.getFirstKey) === null || o === void 0 ? void 0 : o.call(v);
      let P = d && D === "rtl" ? ne : oe, k = P[0];
      if (a.type === "item") {
        let I = d && D === "rtl" ? e.state.collection.getKeyBefore(a.key) : e.state.collection.getKeyAfter(a.key);
        if (w == null || w === I) {
          let x = P.indexOf(a.dropPosition), O = P[x + 1];
          if (x < P.length - 1 && !(O === P[2] && w != null)) return {
            type: "item",
            key: a.key,
            dropPosition: O
          };
          a.dropPosition === P[2] && (k = "on");
        } else k = a.dropPosition;
      }
      return w == null ? u ? {
        type: "root"
      } : null : {
        type: "item",
        key: w,
        dropPosition: k
      };
    }, $ = (a, u = !0, d = !1) => {
      var s, c, K, o;
      let { keyboardDelegate: v } = e.props, w;
      (a == null ? void 0 : a.type) === "item" ? w = d ? (s = v.getKeyLeftOf) === null || s === void 0 ? void 0 : s.call(v, a.key) : (c = v.getKeyAbove) === null || c === void 0 ? void 0 : c.call(v, a.key) : w = d && D === "rtl" ? (K = v.getFirstKey) === null || K === void 0 ? void 0 : K.call(v) : (o = v.getLastKey) === null || o === void 0 ? void 0 : o.call(v);
      let P = d && D === "rtl" ? ne : oe, k = !a || a.type === "root" ? P[2] : "on";
      if ((a == null ? void 0 : a.type) === "item") {
        let I = d && D === "rtl" ? e.state.collection.getKeyAfter(a.key) : e.state.collection.getKeyBefore(a.key);
        if (w == null || w === I) {
          let x = P.indexOf(a.dropPosition), O = P[x - 1];
          if (x > 0 && O !== P[2]) return {
            type: "item",
            key: a.key,
            dropPosition: O
          };
          a.dropPosition === P[0] && (k = "on");
        } else k = a.dropPosition;
      }
      return w == null ? u ? {
        type: "root"
      } : null : {
        type: "item",
        key: w,
        dropPosition: k
      };
    }, m = (a, u, d, s, c = !0) => {
      let K = 0, o, { draggingKeys: v } = A, w = T(p);
      do {
        let P = s(a, c);
        if (!P) return null;
        a = P, o = e.state.getDropOperation({
          target: P,
          types: u,
          allowedOperations: d,
          isInternal: w,
          draggingKeys: v
        }), a.type === "root" && K++;
      } while (o === "cancel" && !e.state.isDropTarget(a) && K < 2);
      return o === "cancel" ? null : a;
    };
    return Pe({
      element: p.current,
      preventFocusOnDrop: !0,
      getDropOperation(a, u) {
        if (e.state.target) {
          let { draggingKeys: s } = A, c = T(p);
          return e.state.getDropOperation({
            target: e.state.target,
            types: a,
            allowedOperations: u,
            isInternal: c,
            draggingKeys: s
          });
        }
        return m(null, a, u, y) ? "move" : "cancel";
      },
      onDropEnter(a, u) {
        let d = J(u.items), s = e.state.selectionManager, c = null;
        L(p);
        let K = s.focusedKey, o = "after", v = K != null ? e.state.collection.getItem(K) : null;
        if ((v == null ? void 0 : v.type) === "cell" && (K = v.parentKey), K != null && s.isSelected(K) && (s.selectedKeys.size > 1 && s.firstSelectedKey === K ? o = "before" : K = s.lastSelectedKey), K != null) {
          c = {
            type: "item",
            key: K,
            dropPosition: o
          };
          let { draggingKeys: P } = A, k = T(p);
          var w;
          e.state.getDropOperation({
            target: c,
            types: d,
            allowedOperations: u.allowedDropOperations,
            isInternal: k,
            draggingKeys: P
          }) === "cancel" && (c = (w = m(c, d, u.allowedDropOperations, y, !1)) !== null && w !== void 0 ? w : m(c, d, u.allowedDropOperations, $, !1));
        }
        c || (c = m(null, d, u.allowedDropOperations, y)), e.state.setTarget(c);
      },
      onDropExit() {
        L(void 0), e.state.setTarget(null);
      },
      onDropTargetEnter(a) {
        e.state.setTarget(a);
      },
      onDropActivate(a) {
        var u, d;
        ((u = e.state.target) === null || u === void 0 ? void 0 : u.type) === "item" && ((d = e.state.target) === null || d === void 0 ? void 0 : d.dropPosition) === "on" && typeof e.props.onDropActivate == "function" && e.props.onDropActivate({
          type: "dropactivate",
          x: a.x,
          y: a.y,
          target: e.state.target
        });
      },
      onDrop(a, u) {
        L(p), e.state.target && b(a, u || e.state.target);
      },
      onKeyDown(a, u) {
        let { keyboardDelegate: d } = e.props, s = J(u.items);
        switch (a.key) {
          case "ArrowDown":
            if (d.getKeyBelow) {
              let x = m(e.state.target, s, u.allowedDropOperations, y);
              e.state.setTarget(x);
            }
            break;
          case "ArrowUp":
            if (d.getKeyAbove) {
              let x = m(e.state.target, s, u.allowedDropOperations, $);
              e.state.setTarget(x);
            }
            break;
          case "ArrowLeft":
            if (d.getKeyLeftOf) {
              let x = m(e.state.target, s, u.allowedDropOperations, (O, S) => $(O, S, !0));
              e.state.setTarget(x);
            }
            break;
          case "ArrowRight":
            if (d.getKeyRightOf) {
              let x = m(e.state.target, s, u.allowedDropOperations, (O, S) => y(O, S, !0));
              e.state.setTarget(x);
            }
            break;
          case "Home":
            if (d.getFirstKey) {
              let x = m(null, s, u.allowedDropOperations, y);
              e.state.setTarget(x);
            }
            break;
          case "End":
            if (d.getLastKey) {
              let x = m(null, s, u.allowedDropOperations, $);
              e.state.setTarget(x);
            }
            break;
          case "PageDown":
            if (d.getKeyPageBelow) {
              let x = e.state.target;
              if (!x) x = m(null, s, u.allowedDropOperations, y);
              else {
                var c, K;
                let O = (c = d.getFirstKey) === null || c === void 0 ? void 0 : c.call(d);
                x.type === "item" && (O = x.key);
                let S = null;
                O != null && (S = d.getKeyPageBelow(O));
                let F = x.type === "item" ? x.dropPosition : "after";
                if (S == null || x.type === "item" && x.key === ((K = d.getLastKey) === null || K === void 0 ? void 0 : K.call(d))) {
                  var o, v;
                  S = (v = (o = d.getLastKey) === null || o === void 0 ? void 0 : o.call(d)) !== null && v !== void 0 ? v : null, F = "after";
                }
                if (S == null) break;
                x = {
                  type: "item",
                  key: S,
                  dropPosition: F
                };
                let { draggingCollectionRef: M, draggingKeys: z } = A, ue = (M == null ? void 0 : M.current) === (p == null ? void 0 : p.current), ye = e.state.getDropOperation({
                  target: x,
                  types: s,
                  allowedOperations: u.allowedDropOperations,
                  isInternal: ue,
                  draggingKeys: z
                });
                var w;
                ye === "cancel" && (x = (w = m(x, s, u.allowedDropOperations, y, !1)) !== null && w !== void 0 ? w : m(x, s, u.allowedDropOperations, $, !1));
              }
              e.state.setTarget(x ?? e.state.target);
            }
            break;
          case "PageUp": {
            if (!d.getKeyPageAbove) break;
            let x = e.state.target;
            if (!x) x = m(null, s, u.allowedDropOperations, $);
            else if (x.type === "item") {
              var P;
              if (x.key === ((P = d.getFirstKey) === null || P === void 0 ? void 0 : P.call(d))) x = {
                type: "root"
              };
              else {
                let M = d.getKeyPageAbove(x.key), z = x.dropPosition;
                if (M == null) {
                  var k;
                  M = (k = d.getFirstKey) === null || k === void 0 ? void 0 : k.call(d), z = "before";
                }
                if (M == null) break;
                x = {
                  type: "item",
                  key: M,
                  dropPosition: z
                };
              }
              let { draggingKeys: O } = A, S = T(p), F = e.state.getDropOperation({
                target: x,
                types: s,
                allowedOperations: u.allowedDropOperations,
                isInternal: S,
                draggingKeys: O
              });
              var I;
              F === "cancel" && (x = (I = m(x, s, u.allowedDropOperations, $, !1)) !== null && I !== void 0 ? I : m(x, s, u.allowedDropOperations, y, !1));
            }
            e.state.setTarget(x ?? e.state.target);
            break;
          }
        }
      }
    });
  }, [
    e,
    p,
    b,
    D
  ]);
  let h = fe();
  return ke.set(t, {
    id: h,
    ref: p
  }), {
    collectionProps: ze(i, {
      id: h,
      // Remove description from collection element. If dropping on the entire collection,
      // there should be a drop indicator that has this description, so no need to double announce.
      "aria-describedby": null
    })
  };
}
function ge(n, t, p) {
  let { dropProps: e } = Oe(), r = Se(t);
  E(() => {
    if (p.current) return Ce({
      element: p.current,
      target: n.target,
      getDropOperation(D, h) {
        let { draggingKeys: y } = A, $ = T(r);
        return t.getDropOperation({
          target: n.target,
          types: D,
          allowedOperations: h,
          isInternal: $,
          draggingKeys: y
        });
      }
    });
  }, [
    p,
    n.target,
    t,
    r
  ]);
  let l = de(), { draggingKeys: i } = A, f = T(r), g = l && t.getDropOperation({
    target: n.target,
    types: J(l.dragTarget.items),
    allowedOperations: l.dragTarget.allowedDropOperations,
    isInternal: f,
    draggingKeys: i
  }) !== "cancel", b = t.isDropTarget(n.target);
  return E(() => {
    l && b && p.current && p.current.focus();
  }, [
    b,
    l,
    p
  ]), {
    dropProps: {
      ...e,
      "aria-hidden": !l || g ? void 0 : "true"
    },
    isDropTarget: b
  };
}
function Ve(n) {
  return n && n.__esModule ? n.default : n;
}
function Je(n, t, p) {
  let { target: e } = n, { collection: r } = t, l = W(Ve(Q), "@react-aria/dnd"), i = de(), { dropProps: f } = ge(n, t, p), g = fe(), b = (m) => {
    var a, u, d, s;
    return m == null ? "" : (s = (d = (a = r.getTextValue) === null || a === void 0 ? void 0 : a.call(r, m)) !== null && d !== void 0 ? d : (u = r.getItem(m)) === null || u === void 0 ? void 0 : u.textValue) !== null && s !== void 0 ? s : "";
  }, D = "", h;
  if (e.type === "root")
    D = l.format("dropOnRoot"), h = `${g} ${Ae(t)}`;
  else if (e.dropPosition === "on") D = l.format("dropOnItem", {
    itemText: b(e.key)
  });
  else {
    let m, a;
    r.getFirstKey() === e.key && e.dropPosition === "before" ? m = null : m = e.dropPosition === "before" ? r.getKeyBefore(e.key) : e.key, r.getLastKey() === e.key && e.dropPosition === "after" ? a = null : a = e.dropPosition === "after" ? r.getKeyAfter(e.key) : e.key, m && a ? D = l.format("insertBetween", {
      beforeItemText: b(m),
      afterItemText: b(a)
    }) : m ? D = l.format("insertAfter", {
      itemText: b(m)
    }) : a && (D = l.format("insertBefore", {
      itemText: b(a)
    }));
  }
  let y = t.isDropTarget(e), $ = i ? f["aria-hidden"] : "true";
  return {
    dropIndicatorProps: {
      ...f,
      id: g,
      "aria-roledescription": l.format("dropIndicator"),
      "aria-label": D,
      "aria-labelledby": h,
      "aria-hidden": $,
      tabIndex: -1
    },
    isDropTarget: y,
    // If aria-hidden, we are either not in a drag session or the drop target is invalid.
    // In that case, there's no need to render anything at all unless we need to show the indicator visually.
    // This can happen when dragging using the native DnD API as opposed to keyboard dragging.
    isHidden: !y && !!$
  };
}
function Qe(n) {
  return n && n.__esModule ? n.default : n;
}
const We = {
  keyboard: {
    selected: "dragSelectedKeyboard",
    notSelected: "dragDescriptionKeyboard"
  },
  touch: {
    selected: "dragSelectedLongPress",
    notSelected: "dragDescriptionLongPress"
  },
  virtual: {
    selected: "dragDescriptionVirtual",
    notSelected: "dragDescriptionVirtual"
  }
};
function _e(n, t) {
  let p = W(Qe(Q), "@react-aria/dnd"), e = t.isDisabled || t.selectionManager.isDisabled(n.key), { dragProps: r, dragButtonProps: l } = Ne({
    getItems() {
      return t.getItems(n.key);
    },
    preview: t.preview,
    getAllowedDropOperations: t.getAllowedDropOperations,
    hasDragButton: n.hasDragButton,
    onDragStart(d) {
      t.startDrag(n.key, d), Te(t.draggingKeys);
    },
    onDragMove(d) {
      t.moveDrag(d);
    },
    onDragEnd(d) {
      let { dropOperation: s } = d, c = s === "cancel" ? !1 : T();
      t.endDrag({
        ...d,
        keys: t.draggingKeys,
        isInternal: c
      }), se();
    }
  }), i = t.collection.getItem(n.key), f = t.getKeysForDrag(n.key).size, g = f > 1 && t.selectionManager.isSelected(n.key), b, D, h = ae();
  if (!n.hasDragButton && t.selectionManager.selectionMode !== "none") {
    let d = We[h][g ? "selected" : "notSelected"];
    n.hasAction && h === "keyboard" && (d += "Alt"), g ? D = p.format(d, {
      count: f
    }) : D = p.format(d), delete r.onClick;
  } else if (g) b = p.format("dragSelectedItems", {
    count: f
  });
  else {
    var y, $, m, a;
    let d = (a = (m = (y = ($ = t.collection).getTextValue) === null || y === void 0 ? void 0 : y.call($, n.key)) !== null && m !== void 0 ? m : i == null ? void 0 : i.textValue) !== null && a !== void 0 ? a : "";
    b = p.format("dragItem", {
      itemText: d
    });
  }
  let u = pe(D);
  if (D && Object.assign(r, u), !n.hasDragButton && n.hasAction) {
    let { onKeyDownCapture: d, onKeyUpCapture: s } = r;
    h === "touch" && delete r["aria-describedby"], r.onKeyDownCapture = (c) => {
      c.altKey && (d == null || d(c));
    }, r.onKeyUpCapture = (c) => {
      c.altKey && (s == null || s(c));
    };
  }
  return {
    dragProps: e ? {} : r,
    dragButtonProps: {
      ...l,
      isDisabled: e,
      "aria-label": b
    }
  };
}
function et(n, t, p) {
  let { draggingCollectionRef: e } = A;
  t.draggingKeys.size > 0 && (e == null ? void 0 : e.current) !== p.current && Me(p);
}
const tt = /* @__PURE__ */ _.forwardRef(function(t, p) {
  let e = t.children, [r, l] = j(null), i = C(null), f = C(void 0);
  return ve(p, () => (g, b) => {
    Ye(() => {
      l(e(g));
    }), b(i.current), f.current = requestAnimationFrame(() => {
      l(null);
    });
  }, [
    e
  ]), E(() => () => {
    f.current && cancelAnimationFrame(f.current);
  }, []), r ? /* @__PURE__ */ _.createElement("div", {
    style: {
      zIndex: -100,
      position: "absolute",
      top: 0,
      left: -1e5
    },
    ref: i
  }, r) : null;
});
class rt {
  getPrimaryStart(t) {
    return this.orientation === "horizontal" ? t.left : t.top;
  }
  getPrimaryEnd(t) {
    return this.orientation === "horizontal" ? t.right : t.bottom;
  }
  getSecondaryStart(t) {
    return this.orientation === "horizontal" ? t.top : t.left;
  }
  getSecondaryEnd(t) {
    return this.orientation === "horizontal" ? t.bottom : t.right;
  }
  getFlowStart(t) {
    return this.layout === "stack" ? this.getPrimaryStart(t) : this.getSecondaryStart(t);
  }
  getFlowEnd(t) {
    return this.layout === "stack" ? this.getPrimaryEnd(t) : this.getSecondaryEnd(t);
  }
  getFlowSize(t) {
    return this.getFlowEnd(t) - this.getFlowStart(t);
  }
  getDropTargetFromPoint(t, p, e) {
    var r;
    if (this.collection[Symbol.iterator]().next().done || !this.ref.current) return {
      type: "root"
    };
    let l = this.ref.current.getBoundingClientRect(), i = this.orientation === "horizontal" ? t : p, f = this.orientation === "horizontal" ? p : t;
    i += this.getPrimaryStart(l), f += this.getSecondaryStart(l);
    let g = this.layout === "stack" ? i : f, b = this.orientation === "horizontal" && this.direction === "rtl", D = this.layout === "grid" && this.orientation === "vertical" && this.direction === "rtl", h = this.layout === "stack" ? b : D, y = (r = this.ref.current) === null || r === void 0 ? void 0 : r.dataset.collection, $ = this.ref.current.querySelectorAll(y ? `[data-collection="${CSS.escape(y)}"]` : "[data-key]"), m = /* @__PURE__ */ new Map();
    for (let K of $) K instanceof HTMLElement && K.dataset.key != null && m.set(K.dataset.key, K);
    let a = [
      ...this.collection
    ].filter((K) => K.type === "item"), u = 0, d = a.length;
    for (; u < d; ) {
      let K = Math.floor((u + d) / 2), o = a[K], v = m.get(String(o.key));
      if (!v) break;
      let w = v.getBoundingClientRect(), P = (k) => {
        k ? u = K + 1 : d = K;
      };
      if (i < this.getPrimaryStart(w)) P(b);
      else if (i > this.getPrimaryEnd(w)) P(!b);
      else if (f < this.getSecondaryStart(w)) P(D);
      else if (f > this.getSecondaryEnd(w)) P(!D);
      else {
        let k = {
          type: "item",
          key: o.key,
          dropPosition: "on"
        };
        if (e(k))
          g <= this.getFlowStart(w) + 5 && e({
            ...k,
            dropPosition: "before"
          }) ? k.dropPosition = h ? "after" : "before" : g >= this.getFlowEnd(w) - 5 && e({
            ...k,
            dropPosition: "after"
          }) && (k.dropPosition = h ? "before" : "after");
        else {
          let I = this.getFlowStart(w) + this.getFlowSize(w) / 2;
          g <= I && e({
            ...k,
            dropPosition: "before"
          }) ? k.dropPosition = h ? "after" : "before" : g >= I && e({
            ...k,
            dropPosition: "after"
          }) && (k.dropPosition = h ? "before" : "after");
        }
        return k;
      }
    }
    let s = a[Math.min(u, a.length - 1)], c = m.get(String(s.key));
    return l = c == null ? void 0 : c.getBoundingClientRect(), l && (i < this.getPrimaryStart(l) || Math.abs(g - this.getFlowStart(l)) < Math.abs(g - this.getFlowEnd(l))) ? {
      type: "item",
      key: s.key,
      dropPosition: h ? "after" : "before"
    } : {
      type: "item",
      key: s.key,
      dropPosition: h ? "before" : "after"
    };
  }
  constructor(t, p, e) {
    this.collection = t, this.ref = p, this.layout = (e == null ? void 0 : e.layout) || "stack", this.orientation = (e == null ? void 0 : e.orientation) || "vertical", this.direction = (e == null ? void 0 : e.direction) || "ltr";
  }
}
function ot(n) {
  let { getItems: t, isDisabled: p, collection: e, selectionManager: r, onDragStart: l, onDragMove: i, onDragEnd: f, preview: g, getAllowedDropOperations: b } = n, [, D] = j(!1), h = C(/* @__PURE__ */ new Set()), y = C(null), $ = (m) => {
    let a = new Set(r.isSelected(m) ? new Set([
      ...r.selectedKeys
    ].filter((u) => !!e.getItem(u))) : []);
    return a.add(m), a;
  };
  return {
    collection: e,
    selectionManager: r,
    get draggedKey() {
      return y.current;
    },
    get draggingKeys() {
      return h.current;
    },
    isDragging(m) {
      return h.current.has(m);
    },
    getKeysForDrag: $,
    getItems(m) {
      return t($(m));
    },
    isDisabled: p,
    preview: g,
    getAllowedDropOperations: b,
    startDrag(m, a) {
      let u = $(m);
      h.current = u, y.current = m, r.setFocused(!1), D(!0), typeof l == "function" && l({
        ...a,
        keys: u
      });
    },
    moveDrag(m) {
      typeof i == "function" && i({
        ...m,
        keys: h.current
      });
    },
    endDrag(m) {
      let { isInternal: a } = m;
      typeof f == "function" && f({
        ...m,
        keys: h.current,
        isInternal: a
      }), h.current = /* @__PURE__ */ new Set(), y.current = null, D(!1);
    }
  };
}
function nt(n) {
  let { acceptedDragTypes: t = "all", isDisabled: p, onInsert: e, onRootDrop: r, onItemDrop: l, onReorder: i, shouldAcceptItemDrop: f, collection: g, selectionManager: b, onDropEnter: D, getDropOperation: h, onDrop: y } = n, [$, m] = j(null), a = C(null), u = (s) => {
    if (s.dropPosition === "before") {
      let c = g.getKeyBefore(s.key);
      return c != null ? {
        type: "item",
        key: c,
        dropPosition: "after"
      } : null;
    } else if (s.dropPosition === "after") {
      let c = g.getKeyAfter(s.key);
      return c != null ? {
        type: "item",
        key: c,
        dropPosition: "before"
      } : null;
    }
    return null;
  }, d = U((s) => {
    let { target: c, types: K, allowedOperations: o, isInternal: v, draggingKeys: w } = s;
    if (p || !c) return "cancel";
    if (t === "all" || t.some((P) => K.has(P))) {
      let P = e && c.type === "item" && !v && (c.dropPosition === "before" || c.dropPosition === "after"), k = i && c.type === "item" && v && (c.dropPosition === "before" || c.dropPosition === "after"), I = r && c.type === "root" && !v, x = l && c.type === "item" && c.dropPosition === "on" && !(v && c.key != null && w.has(c.key)) && (!f || f(c, K));
      if (y || P || k || I || x)
        return h ? h(c, K, o) : o[0];
    }
    return "cancel";
  }, [
    p,
    t,
    h,
    e,
    r,
    l,
    f,
    i,
    y
  ]);
  return {
    collection: g,
    selectionManager: b,
    isDisabled: p,
    target: $,
    setTarget(s) {
      if (this.isDropTarget(s)) return;
      let c = a.current;
      c && typeof n.onDropExit == "function" && n.onDropExit({
        type: "dropexit",
        x: 0,
        y: 0,
        target: c
      }), s && typeof D == "function" && D({
        type: "dropenter",
        x: 0,
        y: 0,
        target: s
      }), a.current = s ?? null, m(s ?? null);
    },
    isDropTarget(s) {
      let c = a.current;
      return !c || !s ? !1 : V(s, c) ? !0 : (s == null ? void 0 : s.type) === "item" && (c == null ? void 0 : c.type) === "item" && s.key !== c.key && s.dropPosition !== c.dropPosition && s.dropPosition !== "on" && c.dropPosition !== "on" ? V(u(s), c) || V(s, u(c)) : !1;
    },
    getDropOperation(s) {
      return d(s);
    }
  };
}
function V(n, t) {
  if (!n) return !t;
  switch (n.type) {
    case "root":
      return (t == null ? void 0 : t.type) === "root";
    case "item":
      return (t == null ? void 0 : t.type) === "item" && (t == null ? void 0 : t.key) === n.key && (t == null ? void 0 : t.dropPosition) === n.dropPosition;
  }
}
function it(n) {
  let { initialItems: t = [], initialSelectedKeys: p, getKey: e = (b) => {
    var D;
    return (D = b.id) !== null && D !== void 0 ? D : b.key;
  }, filter: r, initialFilterText: l = "" } = n, [i, f] = j({
    items: t,
    selectedKeys: p === "all" ? "all" : new Set(p || []),
    filterText: l
  }), g = le(() => r ? i.items.filter((b) => r(b, i.filterText)) : i.items, [
    i.items,
    i.filterText,
    r
  ]);
  return {
    ...i,
    items: g,
    ...lt({
      getKey: e
    }, f),
    getItem(b) {
      return i.items.find((D) => e(D) === b);
    }
  };
}
function lt(n, t) {
  let { cursor: p, getKey: e } = n;
  return {
    setSelectedKeys(r) {
      t((l) => ({
        ...l,
        selectedKeys: r
      }));
    },
    setFilterText(r) {
      t((l) => ({
        ...l,
        filterText: r
      }));
    },
    insert(r, ...l) {
      t((i) => H(i, r, ...l));
    },
    insertBefore(r, ...l) {
      t((i) => {
        let f = i.items.findIndex((g) => (e == null ? void 0 : e(g)) === r);
        if (f === -1)
          if (i.items.length === 0) f = 0;
          else return i;
        return H(i, f, ...l);
      });
    },
    insertAfter(r, ...l) {
      t((i) => {
        let f = i.items.findIndex((g) => (e == null ? void 0 : e(g)) === r);
        if (f === -1)
          if (i.items.length === 0) f = 0;
          else return i;
        return H(i, f + 1, ...l);
      });
    },
    prepend(...r) {
      t((l) => H(l, 0, ...r));
    },
    append(...r) {
      t((l) => H(l, l.items.length, ...r));
    },
    remove(...r) {
      t((l) => {
        let i = new Set(r), f = l.items.filter((b) => !i.has(e(b))), g = "all";
        if (l.selectedKeys !== "all") {
          g = new Set(l.selectedKeys);
          for (let b of r) g.delete(b);
        }
        return p == null && f.length === 0 && (g = /* @__PURE__ */ new Set()), {
          ...l,
          items: f,
          selectedKeys: g
        };
      });
    },
    removeSelectedItems() {
      t((r) => {
        if (r.selectedKeys === "all") return {
          ...r,
          items: [],
          selectedKeys: /* @__PURE__ */ new Set()
        };
        let l = r.selectedKeys, i = r.items.filter((f) => !l.has(e(f)));
        return {
          ...r,
          items: i,
          selectedKeys: /* @__PURE__ */ new Set()
        };
      });
    },
    move(r, l) {
      t((i) => {
        let f = i.items.findIndex((D) => e(D) === r);
        if (f === -1) return i;
        let g = i.items.slice(), [b] = g.splice(f, 1);
        return g.splice(l, 0, b), {
          ...i,
          items: g
        };
      });
    },
    moveBefore(r, l) {
      t((i) => {
        let f = i.items.findIndex((D) => e(D) === r);
        if (f === -1) return i;
        let b = (Array.isArray(l) ? l : [
          ...l
        ]).map((D) => i.items.findIndex((h) => e(h) === D)).sort((D, h) => D - h);
        return ie(i, b, f);
      });
    },
    moveAfter(r, l) {
      t((i) => {
        let f = i.items.findIndex((D) => e(D) === r);
        if (f === -1) return i;
        let b = (Array.isArray(l) ? l : [
          ...l
        ]).map((D) => i.items.findIndex((h) => e(h) === D)).sort((D, h) => D - h);
        return ie(i, b, f + 1);
      });
    },
    update(r, l) {
      t((i) => {
        let f = i.items.findIndex((g) => e(g) === r);
        return f === -1 ? i : {
          ...i,
          items: [
            ...i.items.slice(0, f),
            l,
            ...i.items.slice(f + 1)
          ]
        };
      });
    }
  };
}
function H(n, t, ...p) {
  return {
    ...n,
    items: [
      ...n.items.slice(0, t),
      ...p,
      ...n.items.slice(t)
    ]
  };
}
function ie(n, t, p) {
  p -= t.filter((l) => l < p).length;
  let e = t.map((l) => ({
    from: l,
    to: p++
  }));
  for (let l = 0; l < e.length; l++) {
    let i = e[l].from;
    for (let f = l; f < e.length; f++)
      e[f].from > i && e[f].from--;
  }
  for (let l = 0; l < e.length; l++) {
    let i = e[l];
    for (let f = e.length - 1; f > l; f--) {
      let g = e[f];
      g.from < i.to ? i.to++ : g.from++;
    }
  }
  let r = n.items.slice();
  for (let l of e) {
    let [i] = r.splice(l.from, 1);
    r.splice(l.to, 0, i);
  }
  return {
    ...n,
    items: r
  };
}
function at(n) {
  return {
    dragAndDropHooks: le(() => {
      let { onDrop: p, onInsert: e, onItemDrop: r, onReorder: l, onRootDrop: i, getItems: f, renderDragPreview: g, renderDropIndicator: b, dropTargetDelegate: D } = n, h = !!f, y = !!(p || e || r || l || i), $ = {};
      return h && ($.useDraggableCollectionState = function(a) {
        return ot({
          ...a,
          ...n
        });
      }, $.useDraggableCollection = et, $.useDraggableItem = _e, $.DragPreview = tt, $.renderDragPreview = g, $.isVirtualDragging = Re), y && ($.useDroppableCollectionState = function(a) {
        return nt({
          ...a,
          ...n
        });
      }, $.useDroppableItem = ge, $.useDroppableCollection = function(a, u, d) {
        return Ge({
          ...a,
          ...n
        }, u, d);
      }, $.useDropIndicator = Je, $.renderDropIndicator = b, $.dropTargetDelegate = D, $.ListDropTargetDelegate = rt), $;
    }, [
      n
    ])
  };
}
const st = (n) => /* @__PURE__ */ q.createElement("svg", { xmlns: "http://www.w3.org/2000/svg", width: 16, height: 16, viewBox: "0 0 16 16", fill: "none", ...n }, /* @__PURE__ */ q.createElement("path", { fillRule: "evenodd", clipRule: "evenodd", d: "M7.06452 8C7.06452 6.87661 6.15565 5.96774 5.03226 5.96774C3.90887 5.96774 3 6.87661 3 8C3 9.12339 3.90887 10.0323 5.03226 10.0323C6.15565 10.0323 7.06452 9.12339 7.06452 8ZM5.03226 5.06452C3.90887 5.06452 3 4.15565 3 3.03226C3 1.90887 3.90887 1 5.03226 1C6.15565 1 7.06452 1.90887 7.06452 3.03226C7.06452 4.15565 6.15565 5.06452 5.03226 5.06452ZM5.03226 15C3.90887 15 3 14.0911 3 12.9677C3 11.8444 3.90887 10.9355 5.03226 10.9355C6.15565 10.9355 7.06452 11.8444 7.06452 12.9677C7.06452 14.0911 6.15565 15 5.03226 15ZM13.0645 8C13.0645 6.87661 12.1556 5.96774 11.0323 5.96774C9.90887 5.96774 9 6.87661 9 8C9 9.12339 9.90887 10.0323 11.0323 10.0323C12.1556 10.0323 13.0645 9.12339 13.0645 8ZM11.0323 5.06452C9.90887 5.06452 9 4.15565 9 3.03226C9 1.90887 9.90887 1 11.0323 1C12.1556 1 13.0645 1.90887 13.0645 3.03226C13.0645 4.15565 12.1556 5.06452 11.0323 5.06452ZM11.0323 15C9.90887 15 9 14.0911 9 12.9677C9 11.8444 9.90887 10.9355 11.0323 10.9355C12.1556 10.9355 13.0645 11.8444 13.0645 12.9677C13.0645 14.0911 12.1556 15 11.0323 15Z", fill: "#6CC5FF" })), dt = (n) => /* @__PURE__ */ q.createElement("svg", { xmlns: "http://www.w3.org/2000/svg", width: 16, height: 16, viewBox: "0 0 16 16", fill: "none", ...n }, /* @__PURE__ */ q.createElement("path", { d: "M5.225 0.553125L5 1H2C1.44687 1 1 1.44687 1 2C1 2.55312 1.44687 3 2 3H14C14.5531 3 15 2.55312 15 2C15 1.44687 14.5531 1 14 1H11L10.775 0.553125C10.6062 0.2125 10.2594 0 9.88125 0H6.11875C5.74062 0 5.39375 0.2125 5.225 0.553125ZM14 4H2L2.6625 14.5938C2.7125 15.3844 3.36875 16 4.15937 16H11.8406C12.6312 16 13.2875 15.3844 13.3375 14.5938L14 4Z", fill: "#6CC5FF" }));
function wt({
  items: n,
  updateCallback: t,
  selectionCallback: p,
  className: e,
  renderDragPreview: r,
  ...l
}) {
  const i = it({
    initialItems: n
  });
  E(() => {
    t && t(i.items);
  }, [i, t, n]);
  const { dragAndDropHooks: f } = at({
    getItems: (g) => [...g].map((b) => ({ "text/plain": i.getItem(b).name })),
    getAllowedDropOperations: () => ["move"],
    onReorder(g) {
      g.target.dropPosition === "before" ? i.moveBefore(g.target.key, g.keys) : g.target.dropPosition === "after" && i.moveAfter(g.target.key, g.keys);
    },
    renderDragPreview: r
  });
  return /* @__PURE__ */ R.jsx(
    be,
    {
      ...l,
      "aria-label": l["aria-label"] ?? "Reorderable list",
      selectionMode: "single",
      items: i.items,
      dragAndDropHooks: f,
      onSelectionChange: (g) => {
        const b = Array.from(g), D = i.getItem(b[0]);
        p && D && p(D);
      },
      className: te(
        "bg-klerosUIComponentsLightBackground rounded-base border-klerosUIComponentsStroke border",
        "w-95.5 py-4",
        "[&_div]:data-drop-target:outline-klerosUIComponentsPrimaryBlue [&_div]:data-drop-target:outline",
        e
      ),
      children: (g) => /* @__PURE__ */ R.jsx(
        $e,
        {
          textValue: g.name,
          className: ({ isHovered: b, isDragging: D, isSelected: h }) => te(
            "h-11.25 w-full cursor-pointer border-l-3 border-l-transparent",
            "flex items-center gap-4 px-4",
            "focus-visible:outline-klerosUIComponentsPrimaryBlue focus-visible:outline",
            (b || h) && "bg-klerosUIComponentsMediumBlue",
            h && "border-l-klerosUIComponentsPrimaryBlue",
            D && "cursor-grabbing opacity-60"
          ),
          children: ({ isHovered: b }) => /* @__PURE__ */ R.jsxs(R.Fragment, { children: [
            /* @__PURE__ */ R.jsx(st, { className: "size-4 cursor-grab" }),
            /* @__PURE__ */ R.jsx("span", { className: "text-klerosUIComponentsPrimaryText flex-1 text-base", children: g.name }),
            b ? /* @__PURE__ */ R.jsx(
              De,
              {
                className: "cursor-pointer hover:scale-105",
                onPress: () => {
                  i.remove(g.id);
                },
                children: ({ isHovered: D }) => /* @__PURE__ */ R.jsx(
                  dt,
                  {
                    className: me(
                      "ease-ease size-4 transition",
                      D && "[&_path]:fill-klerosUIComponentsPrimaryBlue"
                    )
                  }
                )
              }
            ) : null
          ] })
        }
      )
    }
  );
}
export {
  wt as default
};
